#ifndef AIM__AIM_H
#define AIM__AIM_H

#define bool _Bool // XXX: stdbool not available within OpenCL kernel

struct image {
	int cols, rows;
	/* Black-white image, one _BIT_ per pixel. Rows-oriented,
	 * rows are rounded to whole bytes. */
	unsigned char *bitmap;
};

static int image_rowbytes(struct image *img);


/** Implementation: */

static inline int
image_rowbytes(struct image *img)
{
	return (img->cols + 7) / 8;
}

#endif
